--Main LUA file global shortcuts
lg = love.graphics
la = love.audio
lk = love.keyboard


function love.load()
--Game Elements and BaseFiles
require "AnAL.lua" -- Animations And Love --- by bartbes.
require "player.lua" -- playerBase Class. 
require "rock.lua" -- base for rock class
require "mouseHelper.lua"
											-- eventually will become a file of it's own

-- game and world elements
world = {}
BG = lg.newImage("game_bg.jpg")
groundLevel = 475
grav = 10

-- the game will start in this load function. The objects will run the show from then on. 
table.insert(world,rock) -- eventually will be part of a createRocks(num) function
table.insert(world,xan) -- make an instance of xan table in the world. 
table.insert(world,mouseHelper)


--Feature Dickingsz
--bgm = love.audio.newSource("BEGIN_XCLMATNPT.mp3","stream")
--la.play(bgm)
 
end


function love.update(dt)
	
	for n, b in pairs(world) do -- index and Value : function
		b:update(dt)
	end

end


function love.draw()
 
	lg.draw(BG,0,0) -- should move to another place.. right now this is simple enough
	
	for n, b in pairs(world) do -- index(n)  and Value (b)
		b:draw() -- we tell the xan instance to draw.. so this goes to xan:draw()
	end
	
	--DBG
	lg.print("JumpSpeed : "..xan.jspd.."\n yPos: "..xan.pos.y.."\n groundLevel: "..groundLevel,x + 15, y+20)
	
end


-- love system functions have been relpaced with love.event
-- we use this to quit the game with the press of a button 
function love.keypressed( key )
   if key == "escape" then
      love.event.push("q")
   end
   
   if key == "space" then 
		table.insert(world,rock)
   end
end









